Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._eyetracker.pytribe.calibration Class Reference

## Public Member Functions
| __init__ (self, connection)
| set_connection (self, connection)
| start (self, pointcount=9, max_attempts=5)
| pointstart (self, x, y)
| pointend (self)
| abort (self)
| clear (self)

## Public Attributes
| connection = connection

## Detailed Description

    class for calibration related requests

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._eyetracker.pytribe.calibration.__init__ | ( |  | self,
|  |  | connection )

    Initializes a calibration instance

            arguments

            connection  --  a pytribe.connection instance for the currently
                            attached EyeTribe tracker

## Member Function Documentation

## ◆ abort()

pygaze._eyetracker.pytribe.calibration.abort | ( |  | self | ) |

    Cancels the ongoing sequence and reinstates the previous
            calibration (only if there is one!)

            returns

            success     --  Boolean: True on success, False on failure

## ◆ clear()

pygaze._eyetracker.pytribe.calibration.clear | ( |  | self | ) |

    Removes the current calibration from the tracker

            returns

            success     --  Boolean: True on success, False on failure

## ◆ pointend()

pygaze._eyetracker.pytribe.calibration.pointend | ( |  | self | ) |

    Mark the end of processing a calibration point

            returns

            NORMALLY:
            success     --  Boolean: True on success, False on failure

            AFTER FINAL POINT:
            calibresults    --  a dict containing the calibration results:
                            {   'result':   Boolean indicating whether the
                                        calibration was succesful
                                'deg':  float indicating the average error
                                        in degrees of visual angle
                                'Ldeg': float indicating the left eye
                                        error in degrees of visual angle
                                'Rdeg': float indicating the right eye
                                        error in degrees of visual angle
                                'calibpoints': list, containing a dict for
                                            each calibration point:
                                            {'state':   integer indicating
                                                    the state of the
                                                    calibration point
                                                    (0 means no useful
                                                    data has been
                                                    obtained and the
                                                    point should be
                                                    resampled; 1 means
                                                    the data is of
                                                    questionable
                                                    quality, consider
                                                    resampling; 2 means
                                                    the data is ok)
                                            'cpx':  x coordinate of the
                                                    calibration point
                                            'cpy':  y coordinate of the
                                                    calibration point
                                            'mecpx':    mean estimated x
                                                    coordinate of the
                                                    calibration point
                                            'mecpy':    mean estimated y
                                                    coordinate of the
                                                    calibration point
                                            'acd':  float indicating
                                                    the accuracy in
                                                    degrees of visual
                                                    angle
                                            'Lacd': float indicating
                                                    the accuracy in
                                                    degrees of visual
                                                    angle (left eye)
                                            'Racd': float indicating
                                                    the accuracy in
                                                    degrees of visual
                                                    angle (right eye)
                                            'mepix':    mean error in
                                                    pixels
                                            'Lmepix':   mean error in
                                                    pixels (left eye)
                                            'Rmepix':   mean error in
                                                    pixels (right eye)
                                            'asdp': standard deviation
                                                    in pixels
                                            'Lasdp':    standard deviation
                                                    in pixels (left eye)
                                            'Rasdp':    standard deviation
                                                    in pixels (right eye)
                                            }
                            }

## ◆ pointstart()

pygaze._eyetracker.pytribe.calibration.pointstart | ( |  | self,
|  |  | x,
|  |  | y )

    Mark the beginning of a new calibration point for the tracker to
            process

            arguments

            x           --  integer indicating the x coordinate of the
                            calibration point
            y           --  integer indicating the y coordinate of the
                            calibration point

            returns

            success     --  Boolean: True on success, False on a failure

## ◆ set_connection()

pygaze._eyetracker.pytribe.calibration.set_connection | ( |  | self,
|  |  | connection )

    Set a new connection

            arguments

            connection  --  a pytribe.connection instance for the currently
                            attached EyeTribe tracker

## ◆ start()

pygaze._eyetracker.pytribe.calibration.start | ( |  | self,
|  |  | pointcount = 9,
|  |  | max_attempts = 5 )

    Starts the calibration, using the passed number of calibration
            points

            keyword arguments

            pointcount  --  integer value indicating the amount of
                            calibration points that should be used, which
                            should be at least 7 (default = 9)
            max_attempts -- the number of times that calibration should be restarted
                            if starting the calibration fails (default=5)

## Member Data Documentation

## ◆ connection

pygaze._eyetracker.pytribe.calibration.connection = connection

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_eyetracker/pytribe.py